import { MCommands } from "./Data/_Buffers/MCommands";
export default class Command_Manager {
    static run(event) {
        const command = this.get(event.id);
        if (command == undefined)
            return;
        if (this.permission(command.permission, event) == false)
            return;
        command.run(event);
    }
    static permission(permission, event) {
        return true;
    }
    static get(command_ID) {
        return MCommands.get(command_ID);
    }
}
